> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add expectation

> Declare what the merchant is committing to deliver — shipping ETA, digital delivery window, etc. Used by dispute resolution.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/ucp/orders/{id}/expectations
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/ucp/orders/{id}/expectations:
    post:
      tags:
        - UCP Orders
      summary: Add expectation
      description: >-
        Declare what the merchant is committing to deliver — shipping ETA,
        digital delivery window, etc. Used by dispute resolution.
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - shipping
                    - digital_delivery
                    - fulfillment
                expected_at:
                  type: string
                  format: date-time
                description:
                  type: string
              required:
                - type
                - expected_at
      responses:
        '201':
          description: Expectation recorded
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/OrderExpectation'
                required:
                  - data
      security:
        - bearerAuth: []
components:
  schemas:
    OrderExpectation:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - shipping
            - digital_delivery
            - fulfillment
        expected_at:
          type: string
          format: date-time
        description:
          type: string
        status:
          type: string
          enum:
            - pending
            - met
            - missed
      required:
        - id
        - type
        - expected_at
        - status
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````